#ifndef FK_MASTR_H_SENTRY
#define FK_MASTR_H_SENTRY

struct fedakeys_args;

int main_mverify(const struct fedakeys_args *args);
int main_mdeploy(const struct fedakeys_args *args);
int main_mzero(const struct fedakeys_args *args);
int main_mpoint(const struct fedakeys_args *args);


enum {
    checkmasterpub_hash_fail = -1,
    checkmasterpub_wrong_id = -2,
    checkmasterpub_wrong_hash = -3
};

    /* checkmasterpub_* on fail, hash prefix len on success */
int check_master_pub(const unsigned char id[],
                     const unsigned char pub[],
                     const unsigned char hash[]);

#endif
