#include "hexdata.h"

char hexdigit(unsigned int n)
{
    if(n <= 9)
        return n + '0';
    if(n <= 15)
        return n - 10 + 'a';
    return '?'; /* should never happen */
}

void hexbyte2str(char str[2], int bt)
{
    str[0] = hexdigit((bt >> 4) & 0x0f);
    str[1] = hexdigit(bt        & 0x0f);
}

void hexdata2str(char str[2], unsigned char *data, int datalen)
{
    int i;
    char *p = str;
    for(i = 0; i < datalen; i++) {
        hexbyte2str(p, data[i]);
        p += 2;
    }
    *p = 0;
}
